# Remove products

Use **deletePromotionProducts** to remove products from an existing promotion.

## Request parameters

<table><thead><tr><th width="379.3333740234375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>promotionCode</code></td><td><p><strong>Required (string)</strong></p><p>The code corresponding to the promotion that you want to remove products from.</p></td></tr><tr><td><code>promotionProducts</code></td><td><p><strong>Required (array of objects)</strong></p><p>Array of products to remove from the promotion. Each product object contains the following fields:</p></td></tr><tr><td><code>promotionProducts.Code</code></td><td><p><strong>Required (string)</strong></p><p>System generated product code.</p></td></tr><tr><td><code>promotionProducts.PricingConfigurationCode</code></td><td><p><strong>Required (string)</strong></p><p>System generated pricing configuration code.</p></td></tr><tr><td><code>promotionProducts.PricingOptionCodes</code></td><td><p><strong>Required (array of strings)</strong></p><p>Pricing option codes that you control.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$promotionCode = 'MY_PROMO_CODE_1';

// Define the first product to remove from the promotion
$newProduct1 = new stdClass;
$newProduct1->Code = '';
$newProduct1->PricingConfigurationCode = '';
$newProduct1->PricingOptionCodes = ['',''];

// Define another product to remove from the promotion
$newProduct2 = new stdClass;
$newProduct2->Code = '';
$newProduct2->PricingOptionCodes = [''];

$productPromotion = [$newProduct1, $newProduct2];

$jsonRpcRequest = array (
  'jsonrpc' => '2.0',
  'id' => $i++,
  'method' => 'deletePromotionProducts',
  'params' => array($sessionID, $promotionCode, $productPromotion)
);
var_dump (callRPC($jsonRpcRequest, $host));
```

## Response

<table><thead><tr><th width="131.86669921875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>Status</code></td><td><p><strong>Boolean</strong></p><p>True or False.</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/promotions/remove-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
